Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-101671

Infrequent resolving issues while installing/updating plex

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Engineering Closed (View Workflow)
    • Priority: Low
    • Resolution: Cannot Reproduce
    • Affects Version/s: 11.2-U3, 11.2-U2.1, 11.2-U4
    • Fix Version/s: N/A
    • Component/s: Middleware
    • Labels:

      Description

      In most cases (4 of 5 tries) installing/updating plex (plexpass) results in an error while fetching ffmpeg.

      root@freenas:~ # iocage upgrade plex
      Snapshotting plex...
      Updating plugin INDEX...
      Running upgrade...
      
      Testing SRV response to iocage-plugins
      Testing DNSSEC response to iocage-plugins
      
      Installing plugin packages:
        - multimedia/plexmediaserver...
        - multimedia/ffmpeg...
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1255, in __clone_repo
          porcelain.pull(destination, repo_url, errstream=devnull)
        File "/usr/local/lib/python3.6/site-packages/dulwich/porcelain.py", line 802, in pull
          with open_repo_closing(repo) as r:
        File "/usr/local/lib/python3.6/site-packages/dulwich/porcelain.py", line 165, in open_repo_closing
          return closing(Repo(path_or_repo))
        File "/usr/local/lib/python3.6/site-packages/dulwich/repo.py", line 696, in __init__
          "No git repository was found at %(path)s" % dict(path=root)
      dulwich.errors.NotGitRepository: No git repository was found at /mnt/MAINRAID/iocage/jails/plex/plugin
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/urllib/request.py", line 1318, in do_open
          encode_chunked=req.has_header('Transfer-encoding'))
        File "/usr/local/lib/python3.6/http/client.py", line 1239, in request
          self._send_request(method, url, body, headers, encode_chunked)
        File "/usr/local/lib/python3.6/http/client.py", line 1285, in _send_request
          self.endheaders(body, encode_chunked=encode_chunked)
        File "/usr/local/lib/python3.6/http/client.py", line 1234, in endheaders
          self._send_output(message_body, encode_chunked=encode_chunked)
        File "/usr/local/lib/python3.6/http/client.py", line 1026, in _send_output
          self.send(msg)
        File "/usr/local/lib/python3.6/http/client.py", line 964, in send
          self.connect()
        File "/usr/local/lib/python3.6/http/client.py", line 1392, in connect
          super().connect()
        File "/usr/local/lib/python3.6/http/client.py", line 936, in connect
          (self.host,self.port), self.timeout, self.source_address)
        File "/usr/local/lib/python3.6/socket.py", line 704, in create_connection
          for res in getaddrinfo(host, port, 0, SOCK_STREAM):
        File "/usr/local/lib/python3.6/socket.py", line 745, in getaddrinfo
          for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
      socket.gaierror: [Errno 8] hostname nor servname provided, or not known
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/bin/iocage", line 10, in <module>
          sys.exit(cli())
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 722, in __call__
          return self.main(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 697, in main
          rv = self.invoke(ctx)
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
          return _process_result(sub_ctx.command.invoke(sub_ctx))
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 895, in invoke
          return ctx.invoke(self.callback, **ctx.params)
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 535, in invoke
          return callback(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/iocage_cli/upgrade.py", line 39, in cli
          ioc.IOCage(jail=jail, skip_jails=True).upgrade(release)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1862, in upgrade
          new_release = ioc_plugin.IOCPlugin(plugin=uuid).upgrade()
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1063, in upgrade
          self.update()
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 846, in update
          self.__update_pull_plugin_artifact__(plugin_conf)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 896, in __update_pull_plugin_artifact__
          self.__clone_repo(plugin_conf['artifact'], f'{path}/plugin')
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1260, in __clone_repo
          repo_url, destination, errstream=devnull
        File "/usr/local/lib/python3.6/site-packages/dulwich/porcelain.py", line 310, in clone
          progress=errstream.write)
        File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 363, in fetch
          progress)
        File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1398, in fetch_pack
          b"git-upload-pack", url)
        File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1282, in _discover_references
          resp, read = self._http_request(url, headers, allow_compression=True)
        File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1261, in _http_request
          resp = self.opener.open(req)
        File "/usr/local/lib/python3.6/urllib/request.py", line 526, in open
          response = self._open(req, data)
        File "/usr/local/lib/python3.6/urllib/request.py", line 544, in _open
          '_open', req)
        File "/usr/local/lib/python3.6/urllib/request.py", line 504, in _call_chain
          result = func(*args)
        File "/usr/local/lib/python3.6/urllib/request.py", line 1361, in https_open
          context=self._context, check_hostname=self._check_hostname)
        File "/usr/local/lib/python3.6/urllib/request.py", line 1320, in do_open
          raise URLError(err)
      urllib.error.URLError: <urlopen error [Errno 8] hostname nor servname provided, or not known>

      I've checked the network-connection several times. Streaming and other network-related actions work perfectly well.

      Kind Regards
      Sascha

        Attachments

          Attachments

            JEditor

              Issue Links

                Activity

                  People

                  Assignee:
                  waqar Waqar Ahmed
                  Reporter:
                  klopsknoedel Sascha Hofmann
                  Watchers:
                  Bonnie Follweiler, Brandon Schneider (Inactive), Sascha Hofmann, Waqar Ahmed, William Grzybowski
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  5 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved: